#ifndef _Handle_ObjMgt_SeqNodeOfPSeqOfExtRef_HeaderFile
#define _Handle_ObjMgt_SeqNodeOfPSeqOfExtRef_HeaderFile

#ifndef _Standard_Macro_HeaderFile
#include <Standard_Macro.hxx>
#endif

#ifndef _Handle_PMMgt_PManaged_HeaderFile
#include <Handle_PMMgt_PManaged.hxx>
#endif
#ifndef _Standard_HeaderFile
#include <Standard.hxx>
#endif

class Standard_Persistent;
class Handle_Standard_Type;
class Handle(PMMgt_PManaged);
class ObjMgt_SeqNodeOfPSeqOfExtRef;
Standard_EXPORT Handle_Standard_Type& STANDARD_TYPE(ObjMgt_SeqNodeOfPSeqOfExtRef);

class Handle(ObjMgt_SeqNodeOfPSeqOfExtRef) : public Handle(PMMgt_PManaged) {
  public:

    Handle(ObjMgt_SeqNodeOfPSeqOfExtRef)():Handle(PMMgt_PManaged)() {} 
    Handle(ObjMgt_SeqNodeOfPSeqOfExtRef)(const Handle(ObjMgt_SeqNodeOfPSeqOfExtRef)& aHandle) : Handle(PMMgt_PManaged)(aHandle) 
     {
     }

    Handle(ObjMgt_SeqNodeOfPSeqOfExtRef)(const ObjMgt_SeqNodeOfPSeqOfExtRef* anItem) : Handle(PMMgt_PManaged)((PMMgt_PManaged *)anItem) 
     {
     }

    Handle(ObjMgt_SeqNodeOfPSeqOfExtRef)& operator=(const Handle(ObjMgt_SeqNodeOfPSeqOfExtRef)& aHandle)
     {
      Assign(aHandle.Access());
      return *this;
     }

    Handle(ObjMgt_SeqNodeOfPSeqOfExtRef)& operator=(const ObjMgt_SeqNodeOfPSeqOfExtRef* anItem)
     {
      Assign((Standard_Persistent *)anItem);
      return *this;
     }

    ObjMgt_SeqNodeOfPSeqOfExtRef* operator->() const 
     {
      return (ObjMgt_SeqNodeOfPSeqOfExtRef *)ControlAccess();
     }

   Standard_EXPORT static const Handle(ObjMgt_SeqNodeOfPSeqOfExtRef) DownCast(const Handle(Standard_Persistent)& AnObject);
};
#endif
